Skip to main content
Resource Center/Network Service/Network Service Operations/Network Security Policy Schedule Operations

GetNetworkSecurityPolicySchedule

GetNetworkSecurityPolicySchedule

GET/zstack/v1/network-security-policy-schedules

Operation ID

GetNetworkSecurityPolicySchedule

Since

5.5.38

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • resourceUuid
    StringRequired

    The resource UUID.

  • timeStatus
    String

    Optional. The time status.

  • repeatType
    String

    Optional. The schedule type.

  • timeType
    String

    Optional. The time type.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeds.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a globally unique identifier of the error, for example, SYS.1000 or HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default: null.

    • cause
      ErrorCodeRequired

      The root error, which is the source error that causes the current error. If there is no source error, this field is null.

  • inventories
    ListRequired

    The schedule list of the associated resource.